com.cloudera.sqoop.lib

## Class BooleanParser

- java.lang.Object
- - com.cloudera.sqoop.lib.BooleanParser

- Deprecated.
  use org.apache.sqoop.lib.BooleanParser instead.

      public final class BooleanParser
      extends java.lang.Object

  Parse string representations of boolean values into boolean scalar types.
  See Also:
    `BooleanParser`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `valueOf(java.lang.String s)` Deprecated. Return a boolean based on the value contained in the string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### valueOf

          public static boolean valueOf(java.lang.String s)

      Deprecated.
      Return a boolean based on the value contained in the string.

      The following values are considered true: "true", "t", "yes", "on", "1".

      All other values, including 'null', are false.

      All comparisons are case-insensitive.

Copyright © 2015 The Apache Software Foundation